[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TBufStream.Seek

Set current position in file.

## Declaration

Source position: objects.pp line 357

`procedure TBufStream.Seek(`
`Pos: LongInt`
`); virtual;`

## Description

If the stream's status is stOK, then Seek sets the file position to Pos. Pos is a zero-based offset, counted from the beginning of the file.

For an example, see TStream.Seek;

## Errors

In case an error occurs, the stream's status is set to stSeekError, and the OS error code is stored in ErrorInfo.

## See also

TStream.Seek |  | Set stream position.
TStream.GetPos |  | Return current position in the stream